FIRECFG(1)

NAME
Firecfg - Desktop configuration program for Firejail software.

SYNOPSIS
firecfg [OPTIONS]

DESCRIPTION
Firecfg is the desktop configuration utility for Firejail software. The utility creates several symbolic links to firejail executable. This allows the user to sandbox applications automatically, just by clicking on a regular desktop menus and icons. The symbolic links are placed in /usr/local/bin. For more information, see DESKTOP INTEGRATION section in man 1 firejail.

OPTIONS

--clean
    Remove all firejail symbolic links.

--debug
    Print debug messages.

-?, --help
    Print options end exit.

--list
    List all firejail symbolic links

--fix
    Fix .desktop files. Some .desktop files use full path to executable. Firecfg will check .desktop files in /usr/share/applications/, replace full path by name if it is in PATH, and write result to $HOME/.local/share/applications/.

--version
    Print program version and exit.

Example:
$ sudo firecfg
/usr/local/bin/firefox created
/usr/local/bin/vlc created
[...]
$ firecfg --list
/usr/local/bin/firefox
/usr/local/bin/vlc
[...]
$ sudo firecfg --clean
/usr/local/bin/firefox removed
/usr/local/bin/vlc removed
[...]
$ firecfg --fix
/home/user/.local/share/applications/chromium.desktop created
/home/user/.local/share/applications/vlc.desktop created
[...]

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Homepage: http://firejail.wordpress.com

SEE ALSO
firejail(1), firemon(1), firejail-profile(5), firejail-login(5)